import React, { useEffect, useState } from 'react';
import axios from 'axios';
import { useNavigate } from 'react-router-dom';

function Welcome() {
  const [message, setMessage] = useState('');
  const navigate = useNavigate();

  useEffect(() => {
    const fetchProtected = async () => {
      try {
        
        const res = await axios.get('http://localhost:5000/api/auth/protected', {
          headers: {
            Authorization: `Bearer ${localStorage.getItem('token')}`,
          },
        });
        setMessage(res.data.message);
      } catch (err) {
        setMessage('Access denied');
      }
    };
    fetchProtected();
  }, []);

    // ✅ Handle logout
    const handleLogout = () => {
        localStorage.removeItem('token');
        navigate('/login');
      };


  return (
    <div className='centerText'>
      <h2>Welcome</h2>
      <p>{message}</p>
      <button onClick={handleLogout}>Logout</button>
    </div>
  );
}

export default Welcome;
